[script]
n0=alias xline.data return $shortfn($+($mircdir,xline.data))  
n1=on *:snotice:*:{ 
n2=  if (*Z:line added* iswm $1-) { 
n3=    if ($2 == Global) { write xline.data $6 $+ $chr(183) $+ $15 $+ $chr(183) $+ $left($25-,-1) $+ $chr(183) $+ $date $time } 
n4=    else { write xline.data $5 $+ $chr(183) $+ $14 $+ $chr(183) $+ $left($24-,-1) $+ $chr(183) $+ $date $time } 
n5=  } 
n6=  if (*K:Line added for* iswm $1-) { write xline.data $5 $+ $chr(183) $+ $14 $+ $chr(183) $+ $left($24-,-1) $+ $chr(183) $+ $date $time } 
n7=  if (*G:Line added for* iswm $1-) { write xline.data $5 $+ $chr(183) $+ $14 $+ $chr(183) $+ $left($24-,-1) $+ $chr(183) $+ $date $time } 
n8=  if (*Permanent Global Z:line* iswm $1-) { write xline.data $7 $+ $chr(183) $+ $remove($16,:) $+ $chr(183) $+ $left($17,-1) $date $time } 
n9=  if (*Permanent Z:Line* iswm $1-) { write xline.data $6 $+ $chr(183) $+ $remove($15,:) $+ $chr(183) $+ $left($16,-1) $+ $chr(183) $+ $date $time } 
n10=  if (*Permanent G:Line* iswm $1-) { write xline.data $6 $+ $chr(183) $+ $remove($15,:) $+ $chr(183) $+ $left($16,-1) $+ $chr(183) $+ $date $time } 
n11=  if (*Permanent K:Line* iswm $1-) { write xline.data $6 $+ $chr(183) $+ $remove($15,:) $+ $chr(183) $+ $left($16,-1) $+ $chr(183) $+ $date $time } 
n12=  if (*removed Global Z:line* iswm $1-) { if ($read($xline.data,w,$+(*,$5,*))) { write $+(-dl,$readn) $xline.data  } } 
n13=  if (*removed K:Line* iswm $1-) { if ($read($xline.data,w,$+(*,$4,*))) {  write $+(-dl,$readn) $xline.data  } } 
n14=  if (*removed Z:Line* iswm $1-) { if ($read($xline.data,w,$+(*,$4,*))) { write $+(-dl,$readn) $xline.data  } } 
n15=  if (*removed G:Line* iswm $1-) { if ($read($xline.data,w,$+(*,$4,*))) { write $+(-dl,$readn) $xline.data  } } 
n16=  if *Expiring Global Z:Line* iswm $1-) { if ($read($xline.data,w,$+($remove($5,$chr(40),$chr(41)),*))) { write $+(-dl,$readn) $xline.data  } } 
n17=  if *Expiring K:Line* iswm $1-) { if ($read($xline.data,w,$+($remove($4,$chr(40),$chr(41)),*))) { write $+(-dl,$readn) $xline.data  } } 
n18=  if *Expiring G:Line* iswm $1-) { if ($read($xline.data,w,$+($remove($4,$chr(40),$chr(41)),*))) { write $+(-dl,$readn) $xline.data  } } 
n19=  if *Expiring Z:Line* iswm $1-) { if ($read($xline.data,w,$+($remove($4,$chr(40),$chr(41)),*))) { write $+(-dl,$readn) $xline.data  } } 
n20=}  
n21=on *:text:*:#halfoper:{ 
n22=  if $1 == !ip && $2 { 
n23=    if $read($xline.data,w,$+(*,$2,*)) { var %xline.data $read($xline.data,$readn) } 
n24=    if (!%xline.data) { msg # $qt($2) ipi için kayıt bulunamadı! | halt } 
n25=    else {  
n26=      msg # IP: $gettok(%xline.data,1,183) 
n27=      msg # Banlayan: $gettok(%xline.data,2,183) 
n28=      msg # Sebep: $gettok(%xline.data,3,183) 
n29=      msg # Ban Zamanı: $gettok(%xline.data,4,183) 
n30=    } 
n31=  } 
n32=}
